Transaction Status API
Retrieve the status of a transaction. This endpoint allows you to check the current status of a payout transaction by providing the transaction ID. The server will return the status details of the specified transaction.
GET /api/check_payout_status
Example: your_base_url/api/check_payout_status?TransactionID=17807353434500001332433
Headers
[
'Token: gPISBVF2qCfXS3HZQxs7e4WD0MQPGH7Affffdfddffd3443',
'MID: oVsspt00008256454dffdffdrr',
'Content-Type: application/json'
]
Request Query Parameters
'TransactionID': '400000087779'
Response Body
Transaction Exist :
{
"error": false,
"status_code": 200,
"status": "Success",
"account": "736102010001838",
"ifsc": "UBIN0573612",
"Amount": "101.00",
"Bankriff": "414817043380",
"Ack_no": "800507703214906",
"TransactionID": "1780735500001332"
}
Transaction Not Exist :
{
"error": true,
"status_code": 404,
"status": "NOT FOUND",
"message": "Transaction not found, Please Contact the Administrator.",
"TransactionID": "40000008777922"
}
MID/Token Mismatched/Not Exist :
{
"error": true,
"status_code": 401,
"status": "UNAUTHORIZED",
"message": "Authentication credentials are missing or invalid.
Please provide valid credentials to access the resource."
}
Invalid MID :
{
"error": true,
"status_code": 400,
"status": "FAILED",
"message": "Please Input Valid MID"
}
Transaction Status Error Code
| Status Code | Status | Response Messages |
|---|---|---|
| 200 | Success | Transaction Found Successful. |
| 422 | VALIDATION ERROR | Validation Error. |
| 400 | BAD REQUEST | Invalid MID. |
| 401 | UNAUTHORIZED | MID/Token Mismatched |
| 404 | NOT FOUND | Record Not Found |